﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Threading.Tasks;
using System.Windows;
using TddForWpfApplication.Services;

namespace TddForWpfApplication
{
    /// <summary>
    /// Interaktionslogik für "App.xaml"
    /// </summary>
    public partial class App : Application
    {
        private void OnStartup(object sender, StartupEventArgs e)
        {
            var window = new MainWindow();
            window.Show();
            var service = new NavigationService(window);
            service.NavigateTo(NavigationRegion.Login);
        }
    }
}
