﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TddForWpfApplication.Services
{
    public class Data
    {
        public string Name { get; set; }
        public DateTime Date { get; set; }
    }

    public interface IDataService
    {
        IList<Data> GetDataList();
    }

    public class DataService : IDataService
    {
        public IList<Data> GetDataList()
        {
            return new List<Data>
            {
                new Data { Name = "First", Date = new DateTime(2013, 10, 1) },
                new Data { Name = "Second", Date = new DateTime(2013, 11, 1) },
                new Data { Name = "Huhu", Date = new DateTime(2013, 12, 1) },
                new Data { Name = "Hallo", Date = new DateTime(2013, 10, 5) },
                new Data { Name = "Das", Date = new DateTime(2013, 11, 5) },
                new Data { Name = "Auch", Date = new DateTime(2013, 12, 5) },
                new Data { Name = "Noch", Date = new DateTime(2013, 10, 10) },
                new Data { Name = "Juhu", Date = new DateTime(2013, 11, 10) },
                new Data { Name = "Last", Date = new DateTime(2013, 12, 10) },
            };
        }
    }
}
